<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Standard</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Standard
                </div>
            </div>
        </div>
        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p><a class="link-primary" th:href="@{/masterdata/standard/baru}" role="button">Klik disini</a> jika anda ingin mendaftarkan standard baru. </p>
                </div>
                <div class="col-md-6" align="right">

                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>
        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col">Code</th>
                            <th scope="col">Standard</th>
                            <th scope="col" style="width: 60px">Status</th>
                            <th scope="col" style="width: 5px"></th>
                            <th scope="col" style="width: 5px"></th>
                            <th scope="col" style="width: 5px"></th>

                        </tr>
                        </thead>
                        <tbody th:each="dataStandard,row : ${listStandard}">
                        <tr>
                            <td th:text="${(row.index + 1) + (listStandard.number * listStandard.size)}">1.</td>
                            <td th:text="${dataStandard.kodeStandard}">BEASISWA</td>
                            <td th:text="${dataStandard.namaStandard}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataStandard.status}">AKTIF</td>
                            <td>
                                <a th:href="@{/masterdata/standard/edit(standard = ${dataStandard.id})}" class="link-success">Edit</a>
                            </td>
                            <td>
<!--                                <button type="button" class="btn btn-primary" data-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:attr="data-bs-target='#modal-default'+${dataStandard.id}">-->
<!--                                    +Detail-->
<!--                                </button>-->

                                <button type="button" class="btn btn-warning" data-bs-toggle="modal" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataStandard.id}">
                                    +Detail
                                </button>

                                <div class="modal fade" th:id="${'exampleModal'+dataStandard.id}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <form class="form-horizontal" th:action="@{/masterdata/standard_detail/save (standard = ${dataStandard.id})}" th:object="${standardDetail}" method="post">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Detail Standard</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="mb-3">
                                                    <label for="deskripsi" class="form-label">Description</label>
                                                    <textarea class="form-control" id="deskripsi" name="deskripsi" th:field="*{deskripsi}" rows="3"></textarea>
                                                    <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>
                                                </div>

                                                <input type="hidden" name="id" th:field="*{id}">
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                            </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <td>
                                <a th:href="@{/masterdata/standard/hapus(standard = ${dataStandard.id})}" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">Delete</a>
                            </td>
                        </tr>
                        <tr th:each="dataStandardDetail,row : ${listStandardDetail}" th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}">
                            <td colspan="2"></td>
<!--                            <td th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}" th:text="${(row.index + 1)}"></td>-->
                            <td colspan="3" th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}" th:text="${dataStandardDetail.deskripsi}"></td>
                            <td th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}">
                                <a th:href="@{/masterdata/standard_detail/edit(standard = ${dataStandard.id}, standardDetail = ${dataStandardDetail.id})}" class="link-success">Edit</a>
                            </td>
                            <td>
                                <a th:href="@{/masterdata/standard_detail/hapus(standard = ${dataStandard.id}, standardDetail = ${dataStandardDetail.id})}" class="btn btn-danger btn-xs" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">Delete</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>

    </main>

</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Standard</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Standard-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Standard</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->
<!--        <div class="col-md-12">-->

<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus..</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalkaryawan != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus karena ada karyawan yang menjabat di posisi ini..</p>-->
<!--            </div>-->


<!--            <div class="box">-->
<!--                <form method="get">-->
<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <h3 class="box-title">List of Standard</h3>-->
<!--                            </div>-->
<!--                            <div class="col-md-6" align="right">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <a th:href="@{/masterdata/standard/baru}" name="tambah" type="button" class="btn btn-block btn-primary"> + NEW STANDARD </a>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <div class="col-md-6" align="right">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </form>-->
<!--                <div class="box-body table-responsive no-padding">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr th:each="dataStandard,row : ${listStandard}">-->
<!--                            <td>-->
<!--                                <table class="table table-bordered">-->
<!--                                    <tr>-->
<!--                                        <th style="width: 10px">#</th>-->
<!--                                        <th>Code</th>-->
<!--                                        <th>Standard</th>-->
<!--                                        <th style="width: 60px">Status</th>-->
<!--                                        <th style="width: 200px">Options</th>-->
<!--                                    </tr>-->
<!--                                    <tr>-->
<!--                                        <td th:text="${(row.index + 1) + (listStandard.number * listStandard.size)}">1.</td>-->
<!--                                        <td th:text="${dataStandard.kodeStandard}">BEASISWA</td>-->
<!--                                        <td th:text="${dataStandard.namaStandard}">Pendapatan dari Beasiswa</td>-->
<!--                                        <td th:text="${dataStandard.status}">AKTIF</td>-->
<!--                                        <td>-->
<!--                                            <a th:href="@{/masterdata/standard/edit(standard = ${dataStandard.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                            <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataStandard.id}">-->
<!--                                                + Detail-->
<!--                                            </button>-->
<!--                                            <a th:href="@{/masterdata/standard/hapus(standard = ${dataStandard.id})}" class="btn btn-danger btn-xs">Delete</a>-->
<!--                                            <div class="modal fade" th:id="modal-default+${dataStandard.id}">-->
<!--                                                <div class="modal-dialog">-->
<!--                                                    <div class="modal-content">-->
<!--                                                        <form class="form-horizontal" th:action="@{/masterdata/standard_detail/save (standard = ${dataStandard.id})}" th:object="${standardDetail}" method="post">-->
<!--                                                        <div class="modal-header">-->
<!--                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                                                <span aria-hidden="true">&times;</span></button>-->
<!--                                                            <h4 class="modal-title">Detail Standard</h4>-->
<!--                                                        </div>-->
<!--                                                        <div class="modal-body">-->
<!--                                                            &nbsp-->
<!--                                                                <div class="form-group">-->
<!--                                                                    <label for="deskripsi" class="col-sm-2 control-label">Deskripsi</label>-->

<!--                                                                    <div class="col-sm-10">-->
<!--                                                                        <input type="text" class="form-control" th:field="*{deskripsi}" name="deskripsi" id="deskripsi" placeholder="Code Of Standard">-->
<!--                                                                        <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                                                                    </div>-->
<!--                                                                </div>-->

<!--                                                                <input type="hidden" name="id" th:field="*{id}">-->

<!--                                                        </div>-->
<!--                                                        <div class="modal-footer">-->
<!--                                                            <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>-->
<!--                                                            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->
<!--                                                        </div>-->
<!--                                                        </form>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </td>-->
<!--                                    </tr>-->
<!--                                    <tr>-->
<!--                                        <td></td>-->
<!--                                        <td colspan="4">-->
<!--                                            <table class="table table-bordered">-->
<!--                                                <tr>-->
<!--                                                    <th style="width: 10px">No</th>-->
<!--                                                    <th>Detail Description</th>-->
<!--                                                    <th style="width: 200px">Option</th>-->
<!--                                                </tr>-->
<!--                                                <tr th:each="dataStandardDetail,row : ${listStandardDetail}">-->
<!--                                                    <td th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}" th:text="${(row.index + 1)}"></td>-->
<!--                                                    <td th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}" th:text="${dataStandardDetail.deskripsi}"></td>-->
<!--                                                    <td th:if="${dataStandardDetail.standard.id} == ${dataStandard.id}">-->
<!--                                                        <a th:href="@{/masterdata/standard_detail/edit(standard = ${dataStandard.id}, standardDetail = ${dataStandardDetail.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                                        <a th:href="@{/masterdata/standard_detail/hapus(standard = ${dataStandard.id}, standardDetail = ${dataStandardDetail.id})}" class="btn btn-danger btn-xs">Delete</a>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
<!--                                        </td>-->
<!--                                    </tr>-->
<!--                                </table>-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                    </table>-->

<!--                </div>-->
<!--                <div class="box-footer clearfix">-->
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->